perl-Dist-Zilla-Plugin-LatestPrereqs-0.300.0-5-rosa2014.1.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-LatestPrereqs - Adjust prereqs to use latest version available

Property Value
Distribution ROSA 2014.1
Repository ROSA Contrib x86_64
Package name perl-Dist-Zilla-Plugin-LatestPrereqs
Package version 0.300.0
Package release 5-rosa2014.1
Package architecture noarch
Package type rpm
Installed size 16.61 KB
Download size 13.13 KB
Official Mirror mirror.rosalab.ru
This plugin will filter over all your declared or discovered prerequisites,
contact CPAN, and adjust the version to the latest one available.
This will make sure that your module will be installed with the latest
version available on CPAN at the time you built your package.
The most common use for this techinique is for the Task manpage modules.
You can rebuild your Task module on a regular basis to make sure it has the
latest versions of your dependencies.

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-LatestPrereqs-0.400.0-1-rosa2014.1.noarch.rpm 0.400.0 noarch ROSA Contrib Updates
perl-Dist-Zilla-Plugin-LatestPrereqs-0.400.0-1-rosa2014.1.noarch.rpm 0.400.0 noarch ROSA Contrib Updates
perl-Dist-Zilla-Plugin-LatestPrereqs-0.300.0-5-rosa2014.1.noarch.rpm 0.300.0 noarch ROSA Contrib
perl-Dist-Zilla-Plugin-LatestPrereqs - - -

Requires

Name Value
perl(CPAN) -
perl(Moose) -
perl(abi) >= 5.18.2

Provides

Name Value
perl(Dist::Zilla::Plugin::LatestPrereqs) == 0.300.0
perl-Dist-Zilla-Plugin-LatestPrereqs == 0.300.0-5:2014.1

Download

Type URL
Binary Package perl-Dist-Zilla-Plugin-LatestPrereqs-0.300.0-5-rosa2014.1.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-LatestPrereqs-0.300.0-5.src.rpm

Install Howto

  1. Enable ROSA Contrib repository on Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Dist-Zilla-Plugin-LatestPrereqs rpm package:
    # urpmi perl-Dist-Zilla-Plugin-LatestPrereqs

Files

Path
/usr/lib/perl5/vendor_perl/5.18.2/Dist/
/usr/lib/perl5/vendor_perl/5.18.2/Dist/Zilla/
/usr/lib/perl5/vendor_perl/5.18.2/Dist/Zilla/Plugin/LatestPrereqs.pm
/usr/share/doc/perl-Dist-Zilla-Plugin-LatestPrereqs/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-LatestPrereqs/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-LatestPrereqs/META.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-LatestPrereqs/README
/usr/share/man/man3/Dist::Zilla::Plugin::LatestPrereqs.3pm.xz

Changelog

2014-07-25 - Denis Silakov <denis.silakov@rosalab.ru> 0.300.0-5
+ Revision: 8d215f6
- MassBuild#464: Increase release tag

See Also

Package Description
perl-Dist-Zilla-Plugin-LocaleMsgfmt-1.202.0-5-rosa2014.1.noarch.rpm Dist::Zilla plugin that compiles Local::Msgfmt .po files to .mo files
perl-Dist-Zilla-Plugin-MakeMaker-Awesome-0.120.0-5-rosa2014.1.noarch.rpm A more awesome MakeMaker plugin for Dist::Zilla
perl-Dist-Zilla-Plugin-MakeMaker-SkipInstall-1.100.0-4-rosa2014.1.noarch.rpm Skip the install rule of MakeMaker
perl-Dist-Zilla-Plugin-MatchManifest-4.10.0-3-rosa2014.1.noarch.rpm Ensure that MANIFEST is correct
perl-Dist-Zilla-Plugin-Mercurial-0.70.0-3-rosa2014.1.noarch.rpm Check for modified/removed/unknown files
perl-Dist-Zilla-Plugin-MetaData-BuiltWith-1.0.0-2-rosa2014.1.noarch.rpm Go overkill and report everything in all name-spaces
perl-Dist-Zilla-Plugin-MetaNoIndex-1.101.550-5-rosa2014.1.noarch.rpm Stop CPAN from indexing stuff
perl-Dist-Zilla-Plugin-MetaProvides-2.0.0-3-rosa2014.1.noarch.rpm When nothing else works, pull in hand-crafted metadata from a specified file
perl-Dist-Zilla-Plugin-MetaProvides-Class-1.140.0.10-3-rosa2014.1.noarch.rpm Scans files and tries to identify classes using Class::Discover
perl-Dist-Zilla-Plugin-MetaProvides-FromFile-1.110.602.110-3-rosa2014.1.noarch.rpm If nothing else works, pull in hand-crafted metadata from a specified file
perl-Dist-Zilla-Plugin-MetaProvides-Package-2.0.1-3-rosa2014.1.noarch.rpm Extract namespaces/version from traditional packages for provides
perl-Dist-Zilla-Plugin-MetaRecommends-0.30.0-6-rosa2014.1.noarch.rpm Provide optional prereqs in meta file
perl-Dist-Zilla-Plugin-MinimumPerl-0.20.0-5-rosa2014.1.noarch.rpm Detects the minimum version of Perl required for your dist
perl-Dist-Zilla-Plugin-MinimumVersionTests-1.101.421-5-rosa2014.1.noarch.rpm Release tests for minimum required versions
perl-Dist-Zilla-Plugin-ModuleBuild-XSOrPP-0.20.0-5-rosa2014.1.noarch.rpm Add a --pp option to your Build.PL to force an XS-less build
Advertisement
Advertisement